# List

Launch stage: GA

`GET /api/2.1/accounts/{account_id}/budget-policies`

Lists all policies. Policies are returned in the alphabetically ascending order of their names.

API scopes: billing

## Path parameters

- `account_id` (string, optional)
  The account Id of the customer

## Query parameters

- `page_size` (int32, optional)
  The maximum number of budget policies to return.
   If unspecified, at most 100 budget policies will be returned.
   The maximum value is 1000; values above 1000 will be coerced to 1000.
- `page_token` (string, optional)
  A page token, received from a previous `ListServerlessPolicies` call.
   Provide this to retrieve the subsequent page.
   If unspecified, the first page will be returned.
  
   When paginating, all other parameters provided to `ListServerlessPoliciesRequest` must match
   the call that provided the page token.
- `filter_by` (object, optional)
  A filter to apply to the list of policies.
  - `policy_name` (string, optional)
    The partial name of policies to be filtered on.
     If unspecified, all policies will be returned.
    Constraints: `<= 127 characters`
  - `creator_user_id` (int64, optional)
    The policy creator user id to be filtered on.
     If unspecified, all policies will be returned.
  - `creator_user_name` (string, optional)
    Deprecated: Do not use this field in new integrations. Creator filtering will be removed in a
     future version.
     The policy creator user name to be filtered on.
     If unspecified, all policies will be returned.
- `sort_spec` (object, optional)
  The sort specification.
  - `field` (string, optional)
    The filed to sort by
    Possible values: `FIELD_UNSPECIFIED`, `POLICY_NAME`
  - `descending` (boolean, optional)
    Whether to sort in descending order.

## Returns

Returns a list of BudgetPolicy objects.

## Response

```json
{
  "policies": [
    {
      "policy_id": "string",
      "policy_name": "string",
      "custom_tags": [
        {}
      ],
      "binding_workspace_ids": [
        0
      ]
    }
  ],
  "next_page_token": "string",
  "previous_page_token": "string"
}
```

